## NMDeviceTeam NMDeviceTeam |

## Functions

const char * | nm_device_team_get_hw_address ()
gboolean | nm_device_team_get_carrier ()
const GPtrArray * | nm_device_team_get_slaves ()
const char * | nm_device_team_get_config ()

## Properties

gboolean | carrier | Read
char * | config | Read
GPtrArray * | slaves | Read

## Types and Values

#define | NM_DEVICE_TEAM_HW_ADDRESS
#define | NM_DEVICE_TEAM_CARRIER
#define | NM_DEVICE_TEAM_SLAVES
#define | NM_DEVICE_TEAM_CONFIG
| NMDeviceTeam

## Object Hierarchy

        GObject
        ╰── NMObject
            ╰── NMDevice
                ╰── NMDeviceTeam

## Description

## Functions

### nm_device_team_get_hw_address ()

    const char *
    nm_device_team_get_hw_address (NMDeviceTeam *device);

`nm_device_team_get_hw_address` has been deprecated since version 1.24 and should not be used in newly-written code.

Use `nm_device_get_hw_address()` instead.

Gets the hardware (MAC) address of the NMDeviceTeam

[skip]

#### Parameters

device | a NMDeviceTeam |

#### Returns

the hardware address. This is the internal string used by the device, and must not be modified.

### nm_device_team_get_carrier ()

    gboolean
    nm_device_team_get_carrier (NMDeviceTeam *device);

Whether the device has carrier.

#### Parameters

device | a NMDeviceTeam |

#### Returns

`TRUE` if the device has carrier

### nm_device_team_get_slaves ()

    const GPtrArray *
    nm_device_team_get_slaves (NMDeviceTeam *device);

`nm_device_team_get_slaves` has been deprecated since version 1.34 and should not be used in newly-written code.

Use `nm_device_get_ports()` instead.

Gets the devices currently enslaved to `device` .

#### Parameters

device | a NMDeviceTeam |

#### Returns

the GPtrArray containing NMDevices that are slaves of `device` . This is the internal copy used by the device, and must not be modified.

[element-type NMDevice]

### nm_device_team_get_config ()

    const char *
    nm_device_team_get_config (NMDeviceTeam *device);

Gets the current JSON configuration of the NMDeviceTeam

#### Parameters

device | a NMDeviceTeam |

#### Returns

the current configuration. This is the internal string used by the device, and must not be modified.

Since: 1.4

## Types and Values

### NM_DEVICE_TEAM_HW_ADDRESS

    #define NM_DEVICE_TEAM_HW_ADDRESS "hw-address"

### NM_DEVICE_TEAM_CARRIER

    #define NM_DEVICE_TEAM_CARRIER    "carrier"

### NM_DEVICE_TEAM_SLAVES

    #define NM_DEVICE_TEAM_SLAVES     "slaves"

### NM_DEVICE_TEAM_CONFIG

    #define NM_DEVICE_TEAM_CONFIG     "config"

### NMDeviceTeam

    typedef struct _NMDeviceTeam NMDeviceTeam;

## Property Details

### The `“carrier”` property

      “carrier”                  gboolean

Whether the device has carrier.

Owner: NMDeviceTeam

Flags: Read

Default value: FALSE

### The `“config”` property

      “config”                   char *

The current JSON configuration of the device.

Owner: NMDeviceTeam

Flags: Read

Default value: NULL

Since: 1.4

### The `“slaves”` property

      “slaves”                   GPtrArray *

The devices enslaved to the team device.

[type GPtrArray(NMDevice)]

Owner: NMDeviceTeam

Flags: Read